﻿using System;
using System.Collections.Generic;
using System.Collections;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using CustomEditors;
using Telerik.Web.UI;




public partial class RadFilterCustomEditor : System.Web.UI.Page
{

    [Serializable]
    public struct AccountCollection
    {

        public AccountCollection(string name, string value)
        {
            _name = name;
            _value = value;
        }

        private string _name;
        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }


        private string _value;
        public string Value
        {
            get { return _value; }
            set { _value = value; }
        }

    }

    public enum Test
    {
        False = 0,
        True = 1
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        RadFilterDropDownEditor _filterEditor = RadFilter1.FieldEditors[0] as RadFilterDropDownEditor;

        List<RadFilterCustomEditor.AccountCollection> _list = new List<RadFilterCustomEditor.AccountCollection>();

        foreach (int i in Enum.GetValues(typeof(Test)))
        {
            _list.Add(new RadFilterCustomEditor.AccountCollection(Enum.GetName(typeof(Test), i), i.ToString()));
        }
        _filterEditor.DataSource = _list;
    }

    protected void RadFilter1_ApplyExpressions(object sender, RadFilterApplyExpressionsEventArgs e)
    {
        RadFilterSqlQueryProvider provider = new RadFilterSqlQueryProvider();
        provider.ProcessGroup(e.ExpressionRoot);
        Log.Text = provider.Result;
    }

    protected void RadFilter1_FieldEditorCreating(object sender, RadFilterFieldEditorCreatingEventArgs e)
    {
        e.Editor = new RadFilterDropDownEditor();
    }

}
